import styles from "@/Components/Base/Input/Input.module.css";
import clsx from 'clsx';
export const Input =({type='text',placeholder='',isInvalid=false,onChange,value='',errorMessage="",...props}) => {
  return (
    <div >
      <input className={clsx(styles.inputbox,isInvalid && styles.invalid) } type={type} placeholder={placeholder}  onChange={onChange} {...props}/>
      {errorMessage && <p className={styles.error} style={{
        color:'red'
      }}>{errorMessage}</p>}
    </div>
      
  )
}
