import { SignUp } from "@/Components/Form/SignUp/SignUp.jsx";
import React from "react";
import { action } from '@storybook/addon-actions';
export default {
  title: "Form/SignUp",
  component: SignUp,
  parameters: {
    backgrounds: {
      default: "light",
    },
    // layout: "fullscreen"
  },
  argTypes: {
    // onSignUpSubmit: { action: "submitted" },
    label: { control: "text"},
    heading:{control:"text"},
    namePlaceholder: { control: "text", defaultValue: "Name" },
    emailPlaceholder: { control: "text", defaultValue: "Email" },
    phonePlaceholder: { control: "text", defaultValue: "Phone Number" },
  },
};

export const SignUpForm = (args) => <SignUp {...args} />;
SignUpForm.args = {
  label: "Sign Up",
  heading:"Create Account",
   namePlaceholder: "Name",
  emailPlaceholder: "Email",
  phonePlaceholder: "Phone Number",
  onSignUpSubmit:(e)=>action("Clicked")(e),
};
