import styles from "./Screen.module.css";

export const Screen = ({ width = 600, height = 210 }) => (
  <div className={styles.shadow}>
    <svg width={width} height={height} viewBox="0 0 300 120" xmlns="http://www.w3.org/2000/svg">
      <defs>
        <linearGradient id="lightGradient" x1="0.5" y1="0" x2="0.5" y2="1">
          <stop offset="0%" stopColor="#484CCD" stopOpacity="1" />
          <stop offset="70%" stopColor="#4347CA" stopOpacity="0.3" />
          <stop offset="100%" stopColor="#3E41C8" stopOpacity="0" />
        </linearGradient>
      </defs>
      <path d="M30 60 Q150 36 270 60 L285 130 L10 130 Z" fill="url(#lightGradient)" />
      <path d="M30 60 Q150 36 270 60" stroke="#fff" strokeWidth="2" fill="none" strokeLinecap="round" />
    </svg>
  </div>
);
