/** @type { import('@storybook/react').Preview } */
import '../src/index.css';

const preview = {
  parameters: {
    backgrounds: {
      default: 'light',
      values: [
        { name: 'light', value: '#ffffff' },
        { name: 'dark', value: '#333333' },
        { name: 'primary-bg', value: '#ffffff' },   // White for Primary
        { name: 'secondary-bg', value: '#3444c5' }, // Blue for Secondary
      ],
    },
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/i,
      },
    },
  },
};

export default preview;
