import { Input } from "@/Components/Base/Input/Input.jsx";

export default {
  title: "Base/Input",
  component: Input,
  argTypes: {
    onChange: { action: "onChange" },
  },
};

export const Default = {
  args: {
    type: "text",
    placeholder: "Enter mobile number",
  },
  render: (args) => (
    <div>
      <p>Without error message:</p>
      <Input {...args} />

      <p>With error message:</p>
      <Input
        {...args}
        isInvalid={true}
        errorMessage="This field is required"
      />
    </div>
  ),
};
