import styles from "@/Components/Base/Modal/Modal.module.css";

export const Modal = ({
  title = "Choose the Number of Seats",
  children,
  onClose,
}) => {
  return (
    <div className={styles.modalcontainer}>
      <div className={styles.modalcard}>
        <h2 className={styles.modalheading}>{title}</h2>
        {children}
      </div>
    </div>
  );
};
