import { Screen } from "@/Components/Shared/Screen/Screen.jsx";

export default {
  title: "Shared/Screen",
  component: Screen,
  parameters: {
    backgrounds: {
      default: "secondary-bg"
    },
  },
  argTypes: {
    width: {
      control: { type: "number" },
      defaultValue: 600,
    },
    height: {
      control: { type: "number" },
      defaultValue: 210,
    },
  },
};

export const statndardScreen= (args) => <Screen {...args} />;

statndardScreen.args = {
  width: 600,
  height: 210,
};
