import { Seat } from '@/Components/Top-level/Seat/Seat';

export default {
  title: 'Toplevel/Seat',
  component: Seat,
    parameters:{
   backgrounds: {
      default: 'secondary-bg',
    },
  },
  argTypes: {
    status: {
      control: {
        type: 'select',
        options: ['available', 'selected', 'reserved'],
      },
    },
    seatNo: { table:{disable:true}},
    onClick: { action: 'onClick' },
  },
};

export const Seats = (args) => {
  const seats = ["A1"];
  return (
    <div style={{ display: 'flex',justifyContent:"center",marginTop:"13rem"}}>
      {seats.map((seatNo) => (
        <Seat key={seatNo} {...args} seatNo={seatNo} />
      ))}
    </div>
  );
};

Seats.args = {
  status: 'available',
  seatNo:"A1",
};
